It's all about the answers!

Ask a question

How do I update/upgrade WebSphere Liberty Profile to a newer version?


Robb Buskohl (172) | asked Apr 23, 10:05 a.m.
Hello there. I was hoping someone could point me in the right direction here -

We are getting dinged by security for Tenable plugin ID: 124024 and it says we need to update Liberty Profile to 19.0.0.4 or newer. Apparently we are currently running 18.0.0.3.

I need to know exactly how we can go about updating the embedded Liberty Profile web application that is bundled with DOORS-NG (we are running 6.0.6.1 with iFix016) to the latest version without breaking everything? I would assume I need to download the newer version and then copy over all of the CLM applications, config files, etc. right?

Where do I download the newer version of Liberty from? I tried going to IBM's Fix Central, but every package I try downloading gives me the following error: No applicable IBM support agreement found for one or more of the products you selected.

So I'm not sure what to do here? How do we get our products updated so we can get security off our back, if we can't even download fixes from IBM's website? Or am I in the wrong area? I really don't have any idea so any help would be greatly appreciated. :)

Thank you in advance!


Accepted answer


permanent link
Richard Rakich (862) | answered Apr 23, 11:59 a.m.
JAZZ DEVELOPER

 Hi Robb, 

This tech note should be able to guide you through this process:

Please note that this tech note does not cover Jazz Authorization Server.  A tech note with the process to upgrade that server instance is forthcoming.

If you have any problems with this process, please open a Support Ticket.

- Rich

Robb Buskohl selected this answer as the correct answer

Comments
Robb Buskohl commented Apr 23, 12:28 p.m.

That is perfect! Thank you Rich! Exactly what I was looking for. :)

Your answer


Register or to post your answer.